Subject: Re: Which hash function to use, was Re: RFC: Another proposed hash function transition plan

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jun 2017 13:52:53 -0700

Adam Langley <[email-masked]> writes:

> However, as I'm not a git developer, I've no opinion on whether the
> cost of carrying implementations of these functions is worth the speed
> vs using SHA-256, which can be assumed to be supported everywhere
> already.

Thanks.

My impression from this thread is that even though fast may be
better than slow, ubiquity trumps it for our use case, as long as
the thing is not absurdly and unusably slow, of course.  Which makes
me lean towards something older/more established like SHA-256, and
it would be a very nice bonus if it gets hardware acceleration more
widely than others ;-)